Bug 243088 - sysutils/conky: add if_mounted FreeBSD case
Summary: sysutils/conky: add if_mounted FreeBSD case
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-04 17:15 UTC by Helge Oldach
Modified: 2020-01-09 14:17 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+


Attachments
Patch (587 bytes, patch)
2020-01-04 17:15 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2020-01-04 17:15:06 UTC
Created attachment 210446 [details]
Patch

The port is missing the $if_mounted variable - only present for the Linux and OS-X cases but not FreeBSD. The attached simple patch adds it.
Comment 1 Guido Falsi freebsd_committer 2020-01-05 21:23:44 UTC
Hi,

Thanks for the patch.

I'm unable to test and commit it right away, but it looks fine, also fixing a problem with if_running.

Such a change should be sent upstream too.

If you haven't already, you should really fork the conky repo on github and create a pull request with this change. The maintainer is responsive usually.

If you already have a pull request, please add it to this bug report see also section.

Once I've tested it, if you are not willing to send the pull request yourself, I'll do that, giving due credit obviously.
Comment 2 Helge Oldach 2020-01-06 05:46:08 UTC
(In reply to Guido Falsi from comment #1)
Created pull request #924.
Comment 3 Guido Falsi freebsd_committer 2020-01-07 17:33:05 UTC
Comment on attachment 210446 [details]
Patch

Thanks for submitting the patch upstream yourself.

I notice the patch you attached here and the one i the pull request differ. My impression is the one in the pull request is newer, I also like that one better.

So I'm marking the patch here as obsolete.
Comment 4 Helge Oldach 2020-01-07 17:56:22 UTC
(In reply to Guido Falsi from comment #3)
Indeed, I have also covered the if_running case in the pull request. I had not applied it here as I don't use it and had not tested it, but I did include it on github before asking for a pull. Thus indeed the patch attached here is obsolete.
Comment 5 commit-hook freebsd_committer 2020-01-09 14:16:54 UTC
A commit references this bug:

Author: madpilot
Date: Thu Jan  9 14:16:31 UTC 2020
New revision: 522493
URL: https://svnweb.freebsd.org/changeset/ports/522493

Log:
  Fix if_mounted and if_running variables

  PR:		243088
  Submitted by:	Helge Oldach <freebsd@oldach.net>
  Obtained from:	https://github.com/brndnmtthws/conky/pull/924

Changes:
  head/sysutils/conky/Makefile
  head/sysutils/conky/files/patch-src_core.cc
Comment 6 Guido Falsi freebsd_committer 2020-01-09 14:17:40 UTC
Committed. Thanks!